Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::LightManager Class Reference

ライトマネージャ More...

`#include <LightManager.h>`

Inheritance diagram for Lamp::LightManager:

List of all members.

## Public Member Functions
virtual AmbientLight * | createAmbientLight (const String &lightName)
| アンビエントライトの作成
virtual DirectionalLight * | createDirectionalLight (const String &lightName)
| ディレクショナルライトの作成
virtual PointLight * | createPointLight (const String &lightName)
| ポイントライトの作成
## Protected Member Functions
| LightManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

ライトマネージャ

Definition at line 38 of file LightManager.h.

## Constructor & Destructor Documentation

Lamp::LightManager::LightManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file LightManager.cpp.

## Member Function Documentation

AmbientLight * Lamp::LightManager::createAmbientLight | ( | const String & | lightName | ) | `[virtual]`

  | アンビエントライトの作成 すでに同じライト名のライトが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  lightName | ライト名
Returns: 作成されたライト Definition at line 37 of file LightManager.cpp. References Lamp::SceneObjectManagerTemplate< Light >::addDatabase(), Lamp::SceneObjectManagerTemplate< Light >::checkName(), Lamp::SceneObjectManagerTemplate< Light >::getScene(), and NULL. Referenced by Lamp::AmbientLight::copyAmbientLight(), Lamp::TextSceneLoader::readAmbientLight(), and Lamp::BinarySceneLoader::readAmbientLight().

DirectionalLight * Lamp::LightManager::createDirectionalLight | ( | const String & | lightName | ) | `[virtual]`

  | ディレクショナルライトの作成 すでに同じライト名のライトが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  lightName | ライト名
Returns: 作成されたライト Definition at line 45 of file LightManager.cpp. References Lamp::SceneObjectManagerTemplate< Light >::addDatabase(), Lamp::SceneObjectManagerTemplate< Light >::checkName(), Lamp::SceneObjectManagerTemplate< Light >::getScene(), and NULL. Referenced by Lamp::DirectionalLight::copyDirectionalLight(), Lamp::TextSceneLoader::readDirectionalLight(), and Lamp::BinarySceneLoader::readDirectionalLight().

PointLight * Lamp::LightManager::createPointLight | ( | const String & | lightName | ) | `[virtual]`

  | ポイントライトの作成 すでに同じライト名のライトが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  lightName | ライト名
Returns: 作成されたライト Definition at line 53 of file LightManager.cpp. References Lamp::SceneObjectManagerTemplate< Light >::addDatabase(), Lamp::SceneObjectManagerTemplate< Light >::checkName(), Lamp::SceneObjectManagerTemplate< Light >::getScene(), and NULL. Referenced by Lamp::PointLight::copyPointLight(), Lamp::TextSceneLoader::readPointLight(), and Lamp::BinarySceneLoader::readPointLight().

The documentation for this class was generated from the following files:

- LightManager.h
- LightManager.cpp